#define   RAS_MAGIC 0x59a66a95


sunrashdr_( header, ncolors, cms_rgbsetup )
	int		header[8], *ncolors;
	unsigned char *cms_rgbsetup[24];

{
	struct rasterfile {	/* don't count on .h - might not be a Sun  */
		int  ras_magic;
		int  ras_width;
		int  ras_height;
		int  ras_depth;
		int  ras_length;
		int  ras_type;
		int  ras_maptype;
		int  ras_maplength;
	};

	header[0] = RAS_MAGIC;
	header[1] = 0;			/* width will be set later	*/
	header[2] = 0;			/* height will be set later	*/
	header[4] = 0;			/* length of image will be set later */
	if( *ncolors == 0 ) {
		header[3] = 1
		header[5] = 0;
		header[6] = 0;
		header[7] = 0;
	} else {
		header[3] = 8;
		header[5] = 87654;	/* rasterfile type - make something up! */
		header[6] = RMT_EQUAL_RGB;	/* colormap type*/
		header[7] = 8;	/* length, in bytes, of 3 intensity arrays */
		*cms_rgbsetup[0] = 0;
		*cms_rgbsetup[1] = 255;
		*cms_rgbsetup[2] = 128;
		*cms_rgbsetup[3] = 0;
		*cms_rgbsetup[4] = 0;
		*cms_rgbsetup[5] = 0;
		*cms_rgbsetup[6] = 128;
		*cms_rgbsetup[7] = 255;
		*cms_rgbsetup[8] = 0;
		*cms_rgbsetup[9] = 0;
		*cms_rgbsetup[10] = 128;
		*cms_rgbsetup[11] = 255;
		*cms_rgbsetup[12] = 128;
		*cms_rgbsetup[13] = 0;
		*cms_rgbsetup[14] = 0;
		*cms_rgbsetup[15] = 255;
		*cms_rgbsetup[16] = 0;
		*cms_rgbsetup[17] = 0;
		*cms_rgbsetup[18] = 0;
		*cms_rgbsetup[19] = 0;
		*cms_rgbsetup[20] = 128;
		*cms_rgbsetup[21] = 255;
		*cms_rgbsetup[22] = 128;
		*cms_rgbsetup[23] = 255;
	}
	
